Bug 263771 - www/py-django-modern-rpc: Deprecate/Set to expire or switch to 1.0 Alpha release
Summary: www/py-django-modern-rpc: Deprecate/Set to expire or switch to 1.0 Alpha release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/alorence/django-mo...
Keywords:
Depends on:
Blocks: 261313
  Show dependency treegraph
 
Reported: 2022-05-04 06:31 UTC by Kai Knoblich
Modified: 2022-05-14 04:50 UTC (History)
1 user (show)

See Also:
sunpoet: maintainer-feedback+


Attachments
deprecate-py-django-modern-rpc.patch (509 bytes, patch)
2022-05-04 06:31 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2022-05-04 06:31:06 UTC
Created attachment 233716 [details]
deprecate-py-django-modern-rpc.patch

Hi Sunpoet,

attached is a patch that would deprecate www/py-django-modern-rpc and set an expiration date to it as the current version of the port doesn't seem to work with Django 3.2.

There's also 1.0.0 Alpha available at the upstream repository, which contain support for Django 3.2, that might be used.

Another option would be, if the 0.12.1 release (not available at PyPI) of www/py-django-modern-rpc still works with Django 3.2, to switch the port over to Django 3.2.

Which of these options would you prefer?
Comment 1 Po-Chuan Hsieh freebsd_committer 2022-05-13 12:18:44 UTC
I'm OK to deprecate this port. Thanks!
Comment 2 Kai Knoblich freebsd_committer 2022-05-14 04:45:08 UTC
Comment on attachment 233716 [details]
deprecate-py-django-modern-rpc.patch

^Triage: Setting maintainer-approval flag to '+' as it was given via comment #1.
Comment 3 commit-hook freebsd_committer 2022-05-14 04:48:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a15f89636414e85acb8a803beac4829d237a011d

commit a15f89636414e85acb8a803beac4829d237a011d
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-05-14 04:45:18 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-05-14 04:45:18 +0000

    www/py-django-modern-rpc: Deprecate/Set to expire

    * Django 2.2 is End-of-Life since April 2022 and the current release of
      this port isn't compatible with newer versions of Django.

    PR:             263771
    Approved by:    sunpoet (maintainer)

 www/py-django-modern-rpc/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 4 Kai Knoblich freebsd_committer 2022-05-14 04:50:06 UTC
(In reply to Po-Chuan Hsieh from comment #1)

Committed, thanks!